OpenVDB: VoxelizationData< TreeType > Struct Template Reference

OpenVDB 8.1.0

Public Types | Public Member Functions | Public Attributes | List of all members
VoxelizationData< TreeType > Struct Template Reference

TBB body object to voxelize a mesh of triangles and/or quads into a collection of VDB grids, namely a squared distance grid, a closest primitive grid and an intersecting voxels grid (masks the mesh intersecting voxels) More...

`#include <MeshToVolume.h>`

## Public Types
using | Ptr = std::unique_ptr< VoxelizationData >
using | ValueType = typename TreeType::ValueType
using | Int32TreeType = typename TreeType::template ValueConverter< Int32 >::Type
using | UCharTreeType = typename TreeType::template ValueConverter< unsigned char >::Type
using | FloatTreeAcc = tree::ValueAccessor< TreeType >
using | Int32TreeAcc = tree::ValueAccessor< Int32TreeType >
using | UCharTreeAcc = tree::ValueAccessor< UCharTreeType >

## Public Member Functions
| VoxelizationData ()
unsigned char | getNewPrimId ()

## Public Attributes
TreeType | distTree
FloatTreeAcc | distAcc
Int32TreeType | indexTree
Int32TreeAcc | indexAcc
UCharTreeType | primIdTree
UCharTreeAcc | primIdAcc

## Detailed Description

### template<typename TreeType>
struct openvdb::v8_1::tools::mesh_to_volume_internal::VoxelizationData< TreeType >

TBB body object to voxelize a mesh of triangles and/or quads into a collection of VDB grids, namely a squared distance grid, a closest primitive grid and an intersecting voxels grid (masks the mesh intersecting voxels)

Note
  Only the leaf nodes that intersect the mesh are allocated, and only voxels in a narrow band (of two to three voxels in proximity to the mesh's surface) are activated. They are populated with distance values and primitive indices.

## Member Typedef Documentation

## ◆ FloatTreeAcc

using FloatTreeAcc = tree::ValueAccessor<TreeType>

## ◆ Int32TreeAcc

using Int32TreeAcc = tree::ValueAccessor<Int32TreeType>

## ◆ Int32TreeType

using Int32TreeType = typename TreeType::template ValueConverter<Int32>::Type

## ◆ Ptr

using Ptr = std::unique_ptr<VoxelizationData>

## ◆ UCharTreeAcc

using UCharTreeAcc = tree::ValueAccessor<UCharTreeType>

## ◆ UCharTreeType

using UCharTreeType = typename TreeType::template ValueConverter<unsigned char>::Type

## ◆ ValueType

using ValueType = typename TreeType::ValueType

## Constructor & Destructor Documentation

## ◆ VoxelizationData()

VoxelizationData | ( |  | ) |
| inline

## Member Function Documentation

## ◆ getNewPrimId()

unsigned char getNewPrimId | ( |  | ) |
| inline

## Member Data Documentation

## ◆ distAcc

FloatTreeAcc distAcc

## ◆ distTree

TreeType distTree

## ◆ indexAcc

Int32TreeAcc indexAcc

## ◆ indexTree

Int32TreeType indexTree

## ◆ primIdAcc

UCharTreeAcc primIdAcc

## ◆ primIdTree

UCharTreeType primIdTree

The documentation for this struct was generated from the following file:

- MeshToVolume.h